import { BaseState } from './Base';
export declare class ErrorState extends BaseState {
    private _message;
    set(message: string | undefined): void;
    message(): string | undefined;
    clear(): void;
    active(): boolean;
    protected on_update(): void;
}
